%global         momorel 3
%global         __perl_requires %{_tmppath}/%{name}-%{version}.requires

Name:           perl-autobox
Version:        2.82
Release:        %{momorel}m%{?dist}
Summary:        Call methods on native types
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/autobox/
Source0:        http://www.cpan.org/authors/id/C/CH/CHOCOLATE/autobox-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Scope-Guard >= 0.20
Requires:       perl-Scope-Guard >= 0.20
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.

%prep
%setup -q -n autobox-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/sh
%{__cat} - | %{__grep} -v %{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'perl(autobox::universal' \

EOF
%{__chmod} 700 %{__perl_requires}

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}
rm -rf %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/autobox
%{perl_vendorarch}/autobox
%{perl_vendorarch}/autobox.*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.82-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.82-2m)
- rebuild against perl-5.18.2

* Sun Oct 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.82-1m)
- update to 2.82

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.79-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.79-2m)
- rebuild against perl-5.18.0

* Wed May  1 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.79-1m)
- update to 2.79

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.77-2m)
- rebuild against perl-5.16.3

* Fri Dec 14 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.77-1m)
- update to 2.77

* Fri Nov 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.76-1m)
- update to 2.76

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.75-5m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.75-4m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.75-3m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.75-2m)
- rebuild against perl-5.14.2

* Fri Jul 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.75-1m)
- update to 2.75

* Thu Jul 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.74-1m)
- update to 2.74

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.73-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.73-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sun May  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.73-1m)
- update to 2.73

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.71-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.71-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.71-2m)
- rebuild against perl-5.12.2

* Thu Sep 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.71-1m)
- update to 2.71

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.70-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.70-1m)
- update to 2.70

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.55-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Aug 25 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.55-3m)
- add rm -rf %%{__perl_requires}

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-2m)
- rebuild against perl-5.10.1

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
